Cocoon 3.0.0 is out!

We have addressed a couple of things that were bugging most of you lately: the Google PlayStore API Level requirements and the issues with the GDPR in some Cocoon plugins.

Google PlayStore API level update

Google has recently introduced an API level requirement for new apps uploaded to the PlayStore.

This issue has been solved in the latest Cocoon update and you can start compiling your apps with API level version 26 (Android 8). For that purpose we have added a new Cocoon version to the Cloud Service. During the first days this version will be labelled as 3.0.0-beta and the “latest” version will still point to the latest stable until we make sure everything is working fine. If you want to use Cocoon v3.0.0-beta make sure you select it in your project settings even for new projects.

Cocoon v3.0.0-beta uses cordova-android@7.1.1 and we have updated the Cocoon plugins to work with it but if you are using other Cordova third party plugins you need to make sure that those plugins work fine with that Cordova Android version before uploading as maybe there are updates of those plugins that you need to use.

We have also updated the Cocoon plugins so you shouldn’t be worried if you are only using those. Remember that if you have a specific plugin version the cloud service won’t override that version so make sure hat you have the correct plugin version or just remove the version from the plugins settings. You can do it choosing the “latest” plugin version or removing the “spec” tag from the XML.

GDPR plugin updates

We have updated the Cocoon plugins to comply the GDPR policy.

You can find the list of plugins and the version you must install at the end of this post. If a Cocoon plugin you are using is not on the list, then it’s safe to use latest.

GDPR updates are not ready for every ad network. We are going to release them in batches and the first batch is AdMob as it’s the mostly used Ad Network in the Cocoon platform.

AdMob

AdMob and its adapters will arrive with Cocoon v3.0.0 to Android and iOS. The Android version will only work in Cocoon v3.0.0 so if you are using a different Cocoon version than v3.0.0 check the list below to know which version you should install.

The new plugins have some breaking changes. Read the documentation to learn how to configure them, and how to notify the networks about the user’s consent.

Also, you can now use request rewarded videos from AdMob and any of their adapters that support them.

Plugin versions for Cocoon v3.0.0

If you are using Cocoon v3.0.0 you can just install the latest version of the plugin and that should work fine.

Plugin versions for Cocoon <v3.0.0

If you are going to use a Cocoon version older than 3.0.0 these are the plugin versions that you should use:

  • <plugin name=”cocoon-plugin-ads-android-admob” spec=”1.0.12″/>
  • <plugin name=”cocoon-plugin-ads-android-admob-adcolony” spec=”1.0.2″/>
  • <plugin name=”cocoon-plugin-ads-android-admob-applovin” spec=”1.0.2″/>
  • <plugin name=”cocoon-plugin-ads-android-admob-chartboost” spec=”1.0.2″/>
  • <plugin name=”cocoon-plugin-ads-android-admob-unityads” spec=”1.0.2″/>
  • <plugin name=”cocoon-plugin-ads-android-applovin” spec=”1.0.1″/>
  • <plugin name=”cocoon-plugin-ads-android-chartboost” spec=”1.0.7″/>
  • <plugin name=”cocoon-plugin-ads-android-common” spec=”1.0.5″/>
  • <plugin name=”cocoon-plugin-ads-android-heyzap” spec=”1.1.1″/>
  • <plugin name=”cocoon-plugin-ads-android-heyzap-adcolony” spec=”1.1.1″/>
  • <plugin name=”cocoon-plugin-ads-android-heyzap-chartboost” spec=”1.1.1″/>
  • <plugin name=”cocoon-plugin-ads-android-heyzap-unityads” spec=”1.1.1″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub” spec=”1.0.6″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-adcolony” spec=”1.0.3″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-admob” spec=”1.0.3″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-chartboost” spec=”1.0.5″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-greystripe” spec=”1.0.1″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-inmobi” spec=”1.0.3″/>
  • <plugin name=”cocoon-plugin-ads-android-mopub-millennialmedia” spec=”1.0.6″/>
  • <plugin name=”cocoon-plugin-ads-android-unityads” spec=”1.0.3″/>
  • <plugin name=”cocoon-plugin-inapps-android-amazon” spec=”1.0.4″/>
  • <plugin name=”cocoon-plugin-inapps-android-googleplay” spec=”1.0.3″/>
  • <plugin name=”cocoon-plugin-multiplayer-android-googleplaygames” spec=”1.0.4″/>
  • <plugin name=”cocoon-plugin-notifications-android-local” spec=”1.0.5″/>
  • <plugin name=”cocoon-plugin-notifications-android-parse” spec=”1.0.9″/>
  • <plugin name=”cocoon-plugin-social-android-googleplaygames” spec=”1.1.5″/>
  • <plugin name=”cocoon-plugin-social-android-facebook” spec=”1.1.5″/>
  • <plugin name=”cocoon-plugin-ads-android-adcolony” spec=”1.0.4″/>

That’s all for now.

Thanks fro using Cocoon!

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.